Bug 485342

Summary: bootup hangs in acpi on Fujitsu Siemens Amilo si 2636
Product: [Fedora] Fedora Reporter: Henrik Nordström <henrik>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: kernel-maint, thomas.lindroth
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-05 02:01:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Henrik Nordström 2009-02-12 18:15:58 EST
Description of problem:

bootup hangs (waited some minutes) in acpi_battery_init if the laptop is running on battery, and many acpi calls before that takes a long time.

Version-Release number of selected component (if applicable):

kernel-2.6.29-0.110.rc4.git3.fc11.x86_64

Fujitsu-Siements Amilo Si 2636


How reproducible:

always

Steps to Reproduce:
1. Power off
2. Unplug power chord
3. Power on
  
Actual results:

hangs with a black screen

Expected results:

bootup

Additional info:

with initcalls_debug set the last call shown is
acpi_battery_init
and many acpi calls before that take a long time (several seconds)

with pci=noacpi it gets stuck earlier in
acpi_init

acpi=off boots fine.


it's also observed that the power status indications in Gnome is very slow. Notification about running on battery can come minutes after disconnecting the power, if at all (sometimes there is a popup saying the battery is fully charged instead).

the gnome-power systray icon often disappears as well.

F10 kernel always boots fine.

Unfortunately there is no serial port on this laptop so it's not easy to capture full boot messages.
Comment 1 Chuck Ebbert 2009-02-19 16:28:08 EST
Are you able to try a later kernel to see if this has been fixed?
Comment 2 Henrik Nordström 2009-02-19 18:03:31 EST
Still there in kernel-2.6.29-0.124.rc5.fc11.x86_64

Another symptom is random "lockups" where keyboard + touchpad stops responding, and impossible to power off proper (kernel shuts down, but tft backlight still left on). This is seen both with power connected and when running on battery.

System seems to run stable with acpi=off, but feels a lot slower for some reason.. but the slowness is just a subjective feeling haven't done any real measurements of it yet.

Updating this system almost daily at the moment. Both because of this and the GCC-4.4 switch.
Comment 3 Henrik Nordström 2009-02-20 16:31:54 EST
Narrowed it down as related to the debug code enabled by default in rawhide. Not yet sure what part of it however...

What I did is that I backtracked a bit in the kernel history

kernel-2.6.28-4        boots fine

kernel-debug-2.6.28-4  boots very very slowly and udev never finishes. Very similar symptoms to what I see in todays rawhide even if it actually manages to partially start the userspace after some waiting (udev hangs however..)

Then I tried the F10 kernel-debug package, and it behaves the same as debug 2.6.28-4. Boots very very slowly pausing for many seconds in ACPI calls, and then udev hangs.
Comment 4 Chuck Ebbert 2009-04-10 23:19:56 EDT
Is this working now that debug has been turned off?
Comment 5 Henrik Nordström 2009-04-11 16:27:10 EDT
Works much better now thanks, but still seems a little shaky.

 - Sometimes the laptop hangs for some seconds when running from battery (not sure if the it hangs completely, or just keyboard+mouse). Haven't seen the deadly lockups as was seen with the debug kernel however.
 - Suspend not always works, sometimes it hangs seemingly at 100% CPU as fan then runs at max speed and hot air flowing..
 - On resume from suspend the backlight still remains off (but graphics enabled as can be seen faintly by external light). Adjusting the brightness turns the backlight on again.
 - And feels in general a bit sluggish compared to F10.

I have not used it as much lately so I am not 100% sure which symptoms are only seen when running on battery and which are always there..
Comment 6 Bug Zapper 2009-06-09 07:19:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Henrik Nordström 2009-10-24 22:00:36 EDT
Still present in rawhide.

debug enabled kernels hangs on the machine when running on battery unless ACPI is disabled. (acpi=off)
Comment 8 Bug Zapper 2009-11-16 04:47:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Thomas Lindroth 2009-12-08 07:54:46 EST
I don't believe this is a bug in Fedora or Linux. I've been having lot's of ACPI related problems with this laptop since I got it. You can read about some or my earlier problems here.
http://markmail.org/message/hmkzldxne2te67mj

Any small change to the ACPI code like enabling debugging or turning features on and off can result in an unbootable system. 
Unfortunately Fujitsu-Siemens has never published a bios that fixes these problems.
Comment 10 Bug Zapper 2010-11-04 07:31:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-05 02:01:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.